Package org.opensaml.saml.saml2.core.impl

# Class AuthnStatementImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.AuthnStatementImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthnStatement`, `Statement`

public class AuthnStatementImpl extends AbstractXMLObject implements AuthnStatement
A concrete implementation of `AuthnStatement`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private AuthnContext`
`authnContext`
Authentication Context of the Authentication Statement.
`private Instant`
`authnInstant`
Time of the authentication.
`private String`
`sessionIndex`
Index of the session.
`private Instant`
`sessionNotOnOrAfter`
Time at which the session ends.
`private SubjectLocality`
`subjectLocality`
Subject Locality of the Authentication Statement.

### Fields inherited from interface org.opensaml.saml.saml2.core.AuthnStatement

`AUTHN_INSTANT_ATTRIB_NAME, AUTHN_INSTANT_ATTRIB_QNAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SESSION_INDEX_ATTRIB_NAME, SESSION_NOT_ON_OR_AFTER_ATTRIB_NAME, SESSION_NOT_ON_OR_AFTER_ATTRIB_QNAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthnStatementImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AuthnContext`
`getAuthnContext()`
Gets the context used to authenticate the subject.
`Instant`
`getAuthnInstant()`
Gets the time when the authentication took place.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSessionIndex()`
Get the session index between the principal and the authenticating authority.
`Instant`
`getSessionNotOnOrAfter()`
Get the time when the session between the principal and the SAML authority ends.
`SubjectLocality`
`getSubjectLocality()`
Get the DNS domain and IP address of the system where the principal was authenticated.
`void`
`setAuthnContext(AuthnContext newAuthnContext)`
Sets the context used to authenticate the subject.
`void`
`setAuthnInstant(Instant newAuthnInstant)`
Sets the time when the authentication took place.
`void`
`setSessionIndex(String newSessionIndex)`
Sets the session index between the principal and the authenticating authority.
`void`
`setSessionNotOnOrAfter(Instant newSessionNotOnOrAfter)`
Set the time when the session between the principal and the SAML authority ends.
`void`
`setSubjectLocality(SubjectLocality newSubjectLocality)`
Set the DNS domain and IP address of the system where the principal was authenticated.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### subjectLocality

@Nullable private SubjectLocality subjectLocality
Subject Locality of the Authentication Statement.

### authnContext

@Nullable private AuthnContext authnContext
Authentication Context of the Authentication Statement.

### authnInstant

@Nullable private Instant authnInstant
Time of the authentication.

### sessionIndex

@Nullable private String sessionIndex
Index of the session.

### sessionNotOnOrAfter

@Nullable private Instant sessionNotOnOrAfter
Time at which the session ends.

## Constructor Details

### AuthnStatementImpl

protected AuthnStatementImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getSubjectLocality

@Nullable public SubjectLocality getSubjectLocality()
Get the DNS domain and IP address of the system where the principal was authenticated.

Specified by:
  `getSubjectLocality` in interface `AuthnStatement`
Returns:
  the DNS domain and IP address of the system where the principal was authenticated

### setSubjectLocality

public void setSubjectLocality(@Nullable SubjectLocality newSubjectLocality)
Set the DNS domain and IP address of the system where the principal was authenticated.

Specified by:
  `setSubjectLocality` in interface `AuthnStatement`
Parameters:
  `newSubjectLocality` - the DNS domain and IP address of the system where the principal was authenticated

### getAuthnContext

@Nullable public AuthnContext getAuthnContext()
Gets the context used to authenticate the subject.

Specified by:
  `getAuthnContext` in interface `AuthnStatement`
Returns:
  the context used to authenticate the subject

### setAuthnContext

public void setAuthnContext(@Nullable AuthnContext newAuthnContext)
Sets the context used to authenticate the subject.

Specified by:
  `setAuthnContext` in interface `AuthnStatement`
Parameters:
  `newAuthnContext` - the context used to authenticate the subject

### getAuthnInstant

@Nullable public Instant getAuthnInstant()
Gets the time when the authentication took place.

Specified by:
  `getAuthnInstant` in interface `AuthnStatement`
Returns:
  the time when the authentication took place

### setAuthnInstant

public void setAuthnInstant(@Nullable Instant newAuthnInstant)
Sets the time when the authentication took place.

Specified by:
  `setAuthnInstant` in interface `AuthnStatement`
Parameters:
  `newAuthnInstant` - the time when the authentication took place

### getSessionIndex

@Nullable public String getSessionIndex()
Get the session index between the principal and the authenticating authority.

Specified by:
  `getSessionIndex` in interface `AuthnStatement`
Returns:
  the session index between the principal and the authenticating authority

### setSessionIndex

public void setSessionIndex(@Nullable String newSessionIndex)
Sets the session index between the principal and the authenticating authority.

Specified by:
  `setSessionIndex` in interface `AuthnStatement`
Parameters:
  `newSessionIndex` - the session index between the principal and the authenticating authority

### getSessionNotOnOrAfter

@Nullable public Instant getSessionNotOnOrAfter()
Get the time when the session between the principal and the SAML authority ends.

Specified by:
  `getSessionNotOnOrAfter` in interface `AuthnStatement`
Returns:
  the time when the session between the principal and the SAML authority ends

### setSessionNotOnOrAfter

public void setSessionNotOnOrAfter(@Nullable Instant newSessionNotOnOrAfter)
Set the time when the session between the principal and the SAML authority ends.

Specified by:
  `setSessionNotOnOrAfter` in interface `AuthnStatement`
Parameters:
  `newSessionNotOnOrAfter` - the time when the session between the principal and the SAML authority ends

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements